<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.integration</groupId>
    <artifactId>applications</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.integration.applications</groupId>
  <artifactId>application-impl</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: IMPL</name>
  <description>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: IMPL</description>
  
  <properties>
	  <bundle.osgi.export.pkg>ru.entaxy.platform.integration.applications.impl,
		  ru.entaxy.platform.integration.applications.impl.*</bundle.osgi.export.pkg>
  </properties>
  
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>
  
  <dependencies>
  
	  <dependency>
		  <groupId>ru.entaxy.platform.integration.applications</groupId>
		  <artifactId>application-api</artifactId>
		  <version>${project.version}</version>
		  <exclusions>
		  	<exclusion>
		  		<groupId>org.apache.felix</groupId>
		  		<artifactId>org.apache.felix.scr</artifactId>
		  	</exclusion>
		  </exclusions>
	  </dependency>
 	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  		<exclusions>
	  			<exclusion>
	  				<groupId>org.apache.felix</groupId>
	  				<artifactId>org.apache.felix.scr</artifactId>
	  			</exclusion>
	  		</exclusions>
 	  	</dependency>		 
	  	<dependency>
	  		 <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
	  		 <artifactId>artifact-management</artifactId>
	  		 <version>${project.version}</version>
	  		 <exclusions>
	  		 	<exclusion>
	  		 		<groupId>org.apache.felix</groupId>
	  		 		<artifactId>org.apache.felix.scr</artifactId>
	  		 	</exclusion>
	  		 	<exclusion>
	  		 		<groupId>org.apache.karaf</groupId>
	  		 		<artifactId>org.apache.karaf.util</artifactId>
	  		 	</exclusion>
	  		 </exclusions>
	  	</dependency>
	  	<dependency>
	  		 <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
	  		 <artifactId>artifact-management-extensions</artifactId>
	  		 <version>${project.version}</version>
	  		 <exclusions>
	  		 	<exclusion>
	  		 		<groupId>org.apache.felix</groupId>
	  		 		<artifactId>org.apache.felix.scr</artifactId>
	  		 	</exclusion>
	  		 	<exclusion>
	  		 		<groupId>org.apache.karaf</groupId>
	  		 		<artifactId>org.apache.karaf.util</artifactId>
	  		 	</exclusion>
	  		 </exclusions>
	  	</dependency>
	  	<dependency>
	  		 <groupId>commons-io</groupId>
	  		 <artifactId>commons-io</artifactId>
	  		 <version>${commons-io.version}</version>
	  	</dependency>
	  	<dependency>
	  		 <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
	  		 <artifactId>generator-api</artifactId>
	  		 <version>${project.version}</version>
	  		 <exclusions>
	  		 	<exclusion>
	  		 		<groupId>org.apache.felix</groupId>
	  		 		<artifactId>org.apache.felix.scr</artifactId>
	  		 	</exclusion>
	  		 	<exclusion>
	  		 		<groupId>org.apache.karaf</groupId>
	  		 		<artifactId>org.apache.karaf.util</artifactId>
	  		 	</exclusion>
	  		 </exclusions>
	  	</dependency>
	  	<dependency>
	  		 <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
	  		 <artifactId>generator-factory</artifactId>
	  		 <version>${project.version}</version>
	  		 <exclusions>
	  		 	<exclusion>
	  		 		<groupId>org.apache.felix</groupId>
	  		 		<artifactId>org.apache.felix.scr</artifactId>
	  		 	</exclusion>
	  		 </exclusions>
	  	</dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
		  <artifactId>cellar-extensions</artifactId>
	    	<version>${project.version}</version>
	    	<exclusions>
	    		<exclusion>
	    			<groupId>org.apache.felix</groupId>
	    			<artifactId>org.apache.felix.scr</artifactId>
	    		</exclusion>
	    		<exclusion>
	    			<groupId>org.apache.karaf</groupId>
	    			<artifactId>org.apache.karaf.util</artifactId>
	    		</exclusion>
	    	</exclusions>
	  </dependency>	  	
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.config-implementation</groupId>
		  <artifactId>config-runtime</artifactId>
		  <version>${project.version}</version>
	  </dependency>
  </dependencies>
  
</project>
